<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:36:52 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.impl.nio.codecs Class Hierarchy (HttpCore NIO 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.impl.nio.codecs Class Hierarchy (HttpCore NIO 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/pool/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/nio/codecs/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.impl.nio.codecs
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/AbstractContentDecoder.html" title="class in org.apache.http.impl.nio.codecs"><B>AbstractContentDecoder</B></A> (implements org.apache.http.nio.<A HREF="../../../../../../org/apache/http/nio/ContentDecoder.html" title="interface in org.apache.http.nio">ContentDecoder</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/ChunkDecoder.html" title="class in org.apache.http.impl.nio.codecs"><B>ChunkDecoder</B></A><LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/IdentityDecoder.html" title="class in org.apache.http.impl.nio.codecs"><B>IdentityDecoder</B></A> (implements org.apache.http.nio.<A HREF="../../../../../../org/apache/http/nio/FileContentDecoder.html" title="interface in org.apache.http.nio">FileContentDecoder</A>)
<LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/LengthDelimitedDecoder.html" title="class in org.apache.http.impl.nio.codecs"><B>LengthDelimitedDecoder</B></A> (implements org.apache.http.nio.<A HREF="../../../../../../org/apache/http/nio/FileContentDecoder.html" title="interface in org.apache.http.nio">FileContentDecoder</A>)
</UL>
<LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/AbstractContentEncoder.html" title="class in org.apache.http.impl.nio.codecs"><B>AbstractContentEncoder</B></A> (implements org.apache.http.nio.<A HREF="../../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio">ContentEncoder</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/ChunkEncoder.html" title="class in org.apache.http.impl.nio.codecs"><B>ChunkEncoder</B></A><LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/IdentityEncoder.html" title="class in org.apache.http.impl.nio.codecs"><B>IdentityEncoder</B></A> (implements org.apache.http.nio.<A HREF="../../../../../../org/apache/http/nio/FileContentEncoder.html" title="interface in org.apache.http.nio">FileContentEncoder</A>)
<LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/LengthDelimitedEncoder.html" title="class in org.apache.http.impl.nio.codecs"><B>LengthDelimitedEncoder</B></A> (implements org.apache.http.nio.<A HREF="../../../../../../org/apache/http/nio/FileContentEncoder.html" title="interface in org.apache.http.nio">FileContentEncoder</A>)
</UL>
<LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/AbstractMessageParser.html" title="class in org.apache.http.impl.nio.codecs"><B>AbstractMessageParser</B></A>&lt;T&gt; (implements org.apache.http.nio.<A HREF="../../../../../../org/apache/http/nio/NHttpMessageParser.html" title="interface in org.apache.http.nio">NHttpMessageParser</A>&lt;T&gt;)
<UL>
<LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestParser.html" title="class in org.apache.http.impl.nio.codecs"><B>DefaultHttpRequestParser</B></A><LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html" title="class in org.apache.http.impl.nio.codecs"><B>DefaultHttpResponseParser</B></A><LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/HttpRequestParser.html" title="class in org.apache.http.impl.nio.codecs"><B>HttpRequestParser</B></A><LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/HttpResponseParser.html" title="class in org.apache.http.impl.nio.codecs"><B>HttpResponseParser</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/AbstractMessageWriter.html" title="class in org.apache.http.impl.nio.codecs"><B>AbstractMessageWriter</B></A>&lt;T&gt; (implements org.apache.http.nio.<A HREF="../../../../../../org/apache/http/nio/NHttpMessageWriter.html" title="interface in org.apache.http.nio">NHttpMessageWriter</A>&lt;T&gt;)
<UL>
<LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestWriter.html" title="class in org.apache.http.impl.nio.codecs"><B>DefaultHttpRequestWriter</B></A><LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseWriter.html" title="class in org.apache.http.impl.nio.codecs"><B>DefaultHttpResponseWriter</B></A><LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/HttpRequestWriter.html" title="class in org.apache.http.impl.nio.codecs"><B>HttpRequestWriter</B></A><LI TYPE="circle">org.apache.http.impl.nio.codecs.<A HREF="../../../../../../org/apache/http/impl/nio/codecs/HttpResponseWriter.html" title="class in org.apache.http.impl.nio.codecs"><B>HttpResponseWriter</B></A></UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/nio/pool/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/nio/codecs/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
